MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030923Open CASCADE[OCCT] OCCT:Visualizationpublic2019-08-27 14:282019-09-02 18:01
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030923: Visualization, AIS_ViewCube - avoid mixing non-zoomable text and trihedron-persistence
DescriptionAIS_ViewCube is drawn using trihedron-persistence, which makes non-zoomable text persistence flag redundant.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028954verifiedbugmaster Open CASCADE Visualization - implement interactive object AIS_ViewCube for camera manipulations 

-  Notes
(0086463)
git (administrator)
2019-08-27 14:32

Branch CR30923 has been created by kgv.

SHA-1: f06643d6fe55fe897d9fe87b14927b3f45e0bb64


Detailed log of new commits:

Author: kgv
Date: Tue Aug 27 14:26:45 2019 +0300

    0030923: Visualization, AIS_ViewCube - avoid mixing non-zoomable text and trihedron-persistence
    
    Box sides labels are now drawn with zoomable flag.
(0086481)
kgv (developer)
2019-08-28 12:06

Patch is ready for review.
(0086524)
san (developer)
2019-08-29 14:46

Branch CR30923 reviewed without remarks.
(0086533)
apn (administrator)
2019-08-29 16:24

Combination -
OCCT branch : CR30923
master SHA - f06643d6fe55fe897d9fe87b14927b3f45e0bb64
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - 32e882a7b3145a66baa739f965d275c822c0bd8a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16093.72000000005 / 16107.320000000014 [-0.08%]
Products
Total CPU difference: 10490.81000000005 / 10489.71000000005 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 18165.015625 / 18158.171875 [+0.04%]
Products
Total CPU difference: 12064.984375 / 12068.71875 [-0.03%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086654)
git (administrator)
2019-09-02 18:01

Branch CR30923 has been deleted by apn.

SHA-1: f06643d6fe55fe897d9fe87b14927b3f45e0bb64

- Related Changesets
occt: master b383a61f
Timestamp: 2019-08-27 11:26:45
Author: kgv
Committer: apn
Details ] Diff ]
0030923: Visualization, AIS_ViewCube - avoid mixing non-zoomable text and trihedron-persistence

Box sides labels are now drawn with zoomable flag.
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-27 14:28 kgv New Issue
2019-08-27 14:28 kgv Assigned To => kgv
2019-08-27 14:32 git Note Added: 0086463
2019-08-27 14:34 kgv Relationship added child of 0028954
2019-08-28 12:06 kgv Note Added: 0086481
2019-08-28 12:06 kgv Assigned To kgv => san
2019-08-28 12:06 kgv Status new => resolved
2019-08-29 14:46 san Note Added: 0086524
2019-08-29 14:46 san Assigned To san => bugmaster
2019-08-29 14:46 san Status resolved => reviewed
2019-08-29 16:24 apn Test case number => Not needed
2019-08-29 16:24 apn Note Added: 0086533
2019-08-29 16:24 apn Status reviewed => tested
2019-08-31 17:53 apn Changeset attached => occt master b383a61f
2019-08-31 17:53 apn Assigned To bugmaster => apn
2019-08-31 17:53 apn Status tested => verified
2019-08-31 17:53 apn Resolution open => fixed
2019-09-02 16:41 kgv Relationship added related to 0030935
2019-09-02 18:01 git Note Added: 0086654


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker